## qt6-graphs 6.8.3

=== src/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_feature_evaluate_features("${CMAKE_CURRENT_SOURCE_DIR}/configure.cmake")

set(QT_SBOM_DEFAULT_QT_LICENSE_ID_LIBRARIES "QT_COMMERCIAL_OR_GPL3")

if(NOT QT_FEATURE_graphs_2d AND NOT QT_FEATURE_graphs_3d)
    message("You must have either FEATURE_graphs_2d or FEATURE_graphs_3d ON, or nothing will be built.")
else()
    # 2D specific resources
    set(shader_resource_files_2D
        "graphs2d/data/gridshader.frag.qsb"
        "graphs2d/data/gridshader.vert.qsb"
        "graphs2d/data/tickershader.frag.qsb"
        "graphs2d/data/tickershader.vert.qsb"
        "graphs2d/data/tickershaderhorizontal.frag.qsb"
        "graphs2d/data/tickershaderhorizontal.vert.qsb"
        "graphs2d/data/lineshaderhorizontal.frag.qsb"
        "graphs2d/data/lineshaderhorizontal.vert.qsb"
        "graphs2d/data/lineshadervertical.frag.qsb"
        "graphs2d/data/lineshadervertical.vert.qsb"
    )

    set(qml_component_resources
        "graphs3d/qml/resources/DatapointSphere.qml"
        "graphs3d/qml/resources/DatapointCube.qml"
    )

    foreach(file IN LISTS qml_component_resources)
        get_filename_component(filename ${file} NAME)
        set(RESOURCE_NAME ${filename})
        string(REPLACE ".qml" "" RESOURCE_NAME ${RESOURCE_NAME})
        set_source_files_properties(${file} PROPERTIES QT_RESOURCE_ALIAS ${RESOURCE_NAME})
    endforeach()

    set(qml_axis_resources
        "graphs3d/qml/resources/AxisLabel.qml"
        "graphs3d/qml/resources/GridLine.qml"
        "graphs3d/qml/resources/ItemLabel.qml"
        "graphs3d/qml/resources/TitleLabel.qml"
    )

    foreach(file IN LISTS qml_axis_resources)
        get_filename_component(filename ${file} NAME)
        set(RESOURCE_NAME ${filename})
        string(REPLACE ".qml" "" RESOURCE_NAME ${RESOURCE_NAME})
        set_source_files_properties(${file} PROPERTIES QT_RESOURCE_ALIAS ${RESOURCE_NAME})
    endforeach()

    set(qml_material_resources
        "graphs3d/qml/resources/ObjectGradientMaterial.qml"
        "graphs3d/qml/resources/ObjectGradientMaterialInstancing.qml"
        "graphs3d/qml/resources/BarsMaterial.qml"
        "graphs3d/qml/resources/BarsMaterialInstancing.qml"
        "graphs3d/qml/resources/SurfaceMaterial.qml"
        "graphs3d/qml/resources/ScatterMaterial.qml"
        "graphs3d/qml/resources/ScatterMaterialInstancing.qml"
        "graphs3d/qml/resources/GridSurfaceMaterial.qml"
        "graphs3d/qml/resources/SurfaceSliceMaterial.qml"
        "graphs3d/qml/resources/SurfaceShadowNoTex.qml"
        "graphs3d/qml/resources/VolumeMaterial.qml"
        "graphs3d/qml/resources/VolumeLowDefMaterial.qml"
        "graphs3d/qml/resources/VolumeSliceMaterial.qml"
        "graphs3d/qml/resources/VolumeFrameMaterial.qml"
        "graphs3d/qml/resources/BackgroundMaterial.qml"
    )

    foreach(file IN LISTS qml_material_resources)
        get_filename_component(filename ${file} NAME)
        set(RESOURCE_NAME ${filename})
        string(REPLACE ".qml" "" RESOURCE_NAME ${RESOURCE_NAME})
        set_source_files_properties(${file} PROPERTIES QT_RESOURCE_ALIAS ${RESOURCE_NAME})
    endforeach()

    set(resources
        "graphs2d/qml/designer/Graphs.metainfo"
        "graphs2d/qml/designer/images/bars3d-icon.png"
        "graphs2d/qml/designer/images/bars3d-icon16.png"
        "graphs2d/qml/designer/images/scatter3d-icon.png"
        "graphs2d/qml/designer/images/scatter3d-icon16.png"
        "graphs2d/qml/designer/images/surface3d-icon.png"
        "graphs2d/qml/designer/images/surface3d-icon16.png"
    )

    set(mesh_resource_files
        "graphs3d/engine/meshes/backgroundMesh.mesh"
        "graphs3d/engine/meshes/backgroundNoFloorMesh.mesh"
        "graphs3d/engine/meshes/arrowMesh.mesh"
        "graphs3d/engine/meshes/arrowMeshSmooth.mesh"
        "graphs3d/engine/meshes/bevelBarMeshFull.mesh"
        "graphs3d/engine/meshes/bevelBarMeshSmoothFull.mesh"
        "graphs3d/engine/meshes/bevelBarMesh.mesh"
        "graphs3d/engine/meshes/bevelBarMeshSmooth.mesh"
        "graphs3d/engine/meshes/coneMeshFull.mesh"
        "graphs3d/engine/meshes/coneMeshSmoothFull.mesh"
        "graphs3d/engine/meshes/coneMesh.mesh"
        "graphs3d/engine/meshes/coneMeshSmooth.mesh"
        "graphs3d/engine/meshes/barMeshFull.mesh"
        "graphs3d/engine/meshes/barMeshSmoothFull.mesh"
        "graphs3d/engine/meshes/barMesh.mesh"
        "graphs3d/engine/meshes/barMeshSmooth.mesh"
        "graphs3d/engine/meshes/cylinderMeshFull.mesh"
        "graphs3d/engine/meshes/cylinderMeshSmoothFull.mesh"
        "graphs3d/engine/meshes/cylinderMesh.mesh"
        "graphs3d/engine/meshes/cylinderMeshSmooth.mesh"
        "graphs3d/engine/meshes/minimalMesh.mesh"
        "graphs3d/engine/meshes/minimalMeshSmooth.mesh"
        "graphs3d/engine/meshes/planeMesh.mesh"
        "graphs3d/engine/meshes/pyramidMeshFull.mesh"
        "graphs3d/engine/meshes/pyramidMeshSmoothFull.mesh"
        "graphs3d/engine/meshes/pyramidMesh.mesh"
        "graphs3d/engine/meshes/pyramidMeshSmooth.mesh"
        "graphs3d/engine/meshes/octagonMesh.mesh"
        "graphs3d/engine/meshes/sphereMesh.mesh"
        "graphs3d/engine/meshes/sphereMeshSmooth.mesh"
    )

    foreach(file IN LISTS mesh_resource_files)
        get_filename_component(filename ${file} NAME)
        set(RESOURCE_NAME ${filename})
        string(REPLACE ".mesh" "" RESOURCE_NAME ${RESOURCE_NAME})
        set_source_files_properties(${file} PROPERTIES QT_RESOURCE_ALIAS ${RESOURCE_NAME})
    endforeach()

    set(shader_resource_files
        "graphs3d/engine/shaders/3dsliceframes.frag"
        "graphs3d/engine/shaders/position.vert"
        "graphs3d/engine/shaders/objectgradient.vert"
        "graphs3d/engine/shaders/objectgradient.frag"
        "graphs3d/engine/shaders/objectgradientinstancing.vert"
        "graphs3d/engine/shaders/objectgradientinstancing.frag"
        "graphs3d/engine/shaders/rangegradient.frag"
        "graphs3d/engine/shaders/rangegradientinstancing.frag"
        "graphs3d/engine/shaders/surface.vert"
        "graphs3d/engine/shaders/surface.frag"
        "graphs3d/engine/shaders/surfaceGrid.vert"
        "graphs3d/engine/shaders/surfaceGrid.frag"
        "graphs3d/engine/shaders/bars.frag"
        "graphs3d/engine/shaders/barsinstancing.vert"
        "graphs3d/engine/shaders/barsinstancing.frag"
        "graphs3d/engine/shaders/scatter.vert"
        "graphs3d/engine/shaders/scatter.frag"
        "graphs3d/engine/shaders/scatterinstancing.vert"
        "graphs3d/engine/shaders/scatterinstancing.frag"
        "graphs3d/engine/shaders/surfaceSlice.vert"
        "graphs3d/engine/shaders/texture3d.frag"
        "graphs3d/engine/shaders/texture3d.vert"
        "graphs3d/engine/shaders/texture3dlowdef.frag"
        "graphs3d/engine/shaders/texture3dslice.frag"
        "graphs3d/engine/shaders/backgroundgrid.frag"
    )

    foreach(file IN LISTS shader_resource_files)
        get_filename_component(filename ${file} NAME)
        set(RESOURCE_NAME ${filename})
        string(REPLACE "." "" RESOURCE_NAME ${RESOURCE_NAME})
        set_source_files_properties(${file} PROPERTIES QT_RESOURCE_ALIAS ${RESOURCE_NAME})
    endforeach()

    # First check if both 2D and 3D are enabled. If it is, we must add dependencies to
    # both (i.e. QtQuick3D, Quick3DPrivate, Quick3DRuntimeRenderPrivate,
    # QtQuickPrivate, and QtQuickShapesPrivate).
    if(QT_FEATURE_graphs_3d AND QT_FEATURE_graphs_2d)
        qt_internal_add_qml_module(Graphs
            URI "QtGraphs"
            TARGET_PRODUCT "Qt Graphs (Qt $$QT_VERSION)"
            TARGET_DESCRIPTION "Qt Graphs Visualization component for Qt."
            VERSION "${PROJECT_VERSION}"
            PAST_MAJOR_VERSIONS 1
            DEPENDENCIES
                QtQuick
                # 3D specific
                QtQuick3D
            LIBRARIES
                # Common
                Qt::QuickPrivate
                # 2D specific
                Qt::QuickShapesPrivate
                # 3D specific
                Qt::Quick3DPrivate
                Qt::Quick3DRuntimeRenderPrivate
            PUBLIC_LIBRARIES
                Qt::Core
                Qt::Gui
                Qt::Quick
                Qt::Quick3D
            PRIVATE_MODULE_INTERFACE
                # Common
                Qt::QuickPrivate
                # 3D specific
                Qt::Quick3DPrivate
                Qt::Quick3DRuntimeRenderPrivate
        )

        # CMake 3.16 forces these to be added here instead of the graphs3d folder
         qt_internal_add_resource(Graphs "graphsshaders2D"
            PREFIX
                "/shaders"
            BASE
                "graphs2d/data"
            FILES
                ${shader_resource_files_2D}
        )

        qt_internal_add_resource(Graphs "graphsshaders"
            PREFIX
                "/shaders"
            BASE
                "graphs3d/engine/shaders"
            FILES
                ${shader_resource_files}
        )

        qt_internal_add_resource(Graphs "graphsmeshes"
            PREFIX
                "/defaultMeshes"
            BASE
                "graphs3d/engine/meshes"
            FILES
                ${mesh_resource_files}
                ${obj_resource_files}
        )

        qt_internal_add_resource(Graphs "qml_component_resources"
            PREFIX
                "/datapointModels"
            BASE
                "graphs3d/qml"
            FILES
                ${qml_component_resources}
        )

        qt_internal_add_resource(Graphs "qml_axis_resources"
            PREFIX
                "/axis"
            BASE
                "graphs3d/qml"
            FILES
                ${qml_axis_resources}
        )

        qt_internal_add_resource(Graphs "qml_material_resources"
            PREFIX
                "/materials"
            BASE
                "graphs3d/qml"
            FILES
                ${qml_material_resources}
        )
    else()
        if(QT_FEATURE_graphs_3d)
            qt_internal_add_qml_module(Graphs
                URI "QtGraphs"
                TARGET_PRODUCT "Qt Graphs (Qt $$QT_VERSION)"
                TARGET_DESCRIPTION "Qt Graphs Visualization component for Qt."
                VERSION "${PROJECT_VERSION}"
                PAST_MAJOR_VERSIONS 1
                DEPENDENCIES
                    QtQuick
                    QtQuick3D
                LIBRARIES
                    Qt::QuickPrivate
                    Qt::Quick3DPrivate
                    Qt::Quick3DRuntimeRenderPrivate
                PUBLIC_LIBRARIES
                    Qt::Core
                    Qt::Gui
                    Qt::Quick
                    Qt::Quick3D
                PRIVATE_MODULE_INTERFACE
                    Qt::QuickPrivate
                    Qt::Quick3DPrivate
                    Qt::Quick3DRuntimeRenderPrivate
            )

            # CMake 3.16 forces these to be added here instead of the graphs3d folder
            qt_internal_add_resource(Graphs "graphsshaders"
                PREFIX
                    "/shaders"
                BASE
                    "graphs3d/engine/shaders"
                FILES
                    ${shader_resource_files}
            )

            qt_internal_add_resource(Graphs "graphsmeshes"
                PREFIX
                    "/defaultMeshes"
                BASE
                    "graphs3d/engine/meshes"
                FILES
                    ${mesh_resource_files}
                    ${obj_resource_files}
            )

            qt_internal_add_resource(Graphs "qml_component_resources"
                PREFIX
                    "/datapointModels"
                BASE
                    "graphs3d/qml"
                FILES
                    ${qml_component_resources}
            )

            qt_internal_add_resource(Graphs "qml_axis_resources"
                PREFIX
                    "/axis"
                BASE

=== src/graphs3d/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_configure_add_summary_section(NAME "Qt Graphs 3D")
qt_configure_add_summary_entry(ARGS "graphs-3d-bars3d")
qt_configure_add_summary_entry(ARGS "graphs-3d-scatter3d")
qt_configure_add_summary_entry(ARGS "graphs-3d-surface3d")
qt_configure_end_summary_section() # end of "Qt Graphs 3D" section

if(NOT QT_FEATURE_graphs_3d_bars3d AND NOT QT_FEATURE_graphs_3d_scatter3d AND NOT QT_FEATURE_graphs_3d_surface3d)
    message("You must have either FEATURE_graphs_3d_bars3d, FEATURE_graphs_3d_scatter3d, or FEATURE_graphs_3d_surface3d ON, or nothing will be built.")
else()
    qt_internal_extend_target(Graphs
        SOURCES
            axis/qabstract3daxis.cpp axis/qabstract3daxis.h axis/qabstract3daxis_p.h
            axis/qcategory3daxis.cpp axis/qcategory3daxis.h axis/qcategory3daxis_p.h
            axis/qlogvalue3daxisformatter.cpp axis/qlogvalue3daxisformatter.h axis/qlogvalue3daxisformatter_p.h
            axis/qvalue3daxis.cpp axis/qvalue3daxis.h axis/qvalue3daxis_p.h
            axis/qvalue3daxisformatter.cpp axis/qvalue3daxisformatter.h axis/qvalue3daxisformatter_p.h

            data/abstractitemmodelhandler.cpp data/abstractitemmodelhandler_p.h
            data/qabstract3dseries.cpp data/qabstract3dseries.h data/qabstract3dseries_p.h
            data/qabstractdataproxy.cpp data/qabstractdataproxy.h data/qabstractdataproxy_p.h
            data/qcustom3ditem.cpp data/qcustom3ditem.h data/qcustom3ditem_p.h
            data/qcustom3dlabel.cpp data/qcustom3dlabel.h data/qcustom3dlabel_p.h
            data/qcustom3dvolume.cpp data/qcustom3dvolume.h data/qcustom3dvolume_p.h

            engine/q3dscene.cpp engine/q3dscene.h engine/q3dscene_p.h

            input/qgraphsinputhandler.cpp  input/qgraphsinputhandler_p.h

            utils/qutils.h
            utils/utils.cpp utils/utils_p.h
            utils/qgraphs3dnamespace.cpp utils/qgraphs3dnamespace.h

            qml/foreigntypes_p.h
            qml/qquickgraphsitem.cpp qml/qquickgraphsitem_p.h
            qml/qquickgraphstexturedata.cpp qml/qquickgraphstexturedata_p.h
            qml/gradientholder_p.h
        INCLUDE_DIRECTORIES
            axis
            data
            engine
            input
            utils
            qml
            ../common/utils/
    )

    qt_internal_extend_target(Graphs CONDITION QT_FEATURE_graphs_3d_bars3d
        SOURCES
            data/baritemmodelhandler.cpp data/baritemmodelhandler_p.h
            data/qbar3dseries.cpp data/qbar3dseries.h data/qbar3dseries_p.h
            data/qbardataitem.cpp data/qbardataitem.h
            data/qbardataproxy.cpp data/qbardataproxy.h data/qbardataproxy_p.h
            data/qitemmodelbardataproxy.cpp data/qitemmodelbardataproxy.h data/qitemmodelbardataproxy_p.h

            engine/barinstancing.cpp engine/barinstancing_p.h

            qml/foreigntypesbars_p.h
            qml/qquickgraphsbars.cpp qml/qquickgraphsbars_p.h
            qml/qquickgraphsbarsseries.cpp qml/qquickgraphsbarsseries_p.h
        INCLUDE_DIRECTORIES
            data
            engine
            qml
    )

    qt_internal_extend_target(Graphs CONDITION QT_FEATURE_graphs_3d_scatter3d
        SOURCES
            data/qitemmodelscatterdataproxy.cpp data/qitemmodelscatterdataproxy.h data/qitemmodelscatterdataproxy_p.h
            data/qscatter3dseries.cpp data/qscatter3dseries.h data/qscatter3dseries_p.h
            data/qscatterdataitem.cpp data/qscatterdataitem.h
            data/qscatterdataproxy.cpp data/qscatterdataproxy.h data/qscatterdataproxy_p.h
            data/scatteritemmodelhandler.cpp data/scatteritemmodelhandler_p.h

            engine/scatterinstancing.cpp engine/scatterinstancing_p.h

            qml/foreigntypesscatter_p.h
            qml/qquickgraphsscatter.cpp qml/qquickgraphsscatter_p.h
            qml/qquickgraphsscatterseries.cpp qml/qquickgraphsscatterseries_p.h
        INCLUDE_DIRECTORIES
            data
            engine
            qml
    )

    qt_internal_extend_target(Graphs CONDITION QT_FEATURE_graphs_3d_surface3d
        SOURCES
            data/qheightmapsurfacedataproxy.cpp data/qheightmapsurfacedataproxy.h data/qheightmapsurfacedataproxy_p.h
            data/qitemmodelsurfacedataproxy.cpp data/qitemmodelsurfacedataproxy.h data/qitemmodelsurfacedataproxy_p.h
            data/qsurface3dseries.cpp data/qsurface3dseries.h data/qsurface3dseries_p.h
            data/qsurfacedataitem.cpp data/qsurfacedataitem.h
            data/qsurfacedataproxy.cpp data/qsurfacedataproxy.h data/qsurfacedataproxy_p.h
            data/surfaceitemmodelhandler.cpp data/surfaceitemmodelhandler_p.h

            qml/foreigntypessurface_p.h
            qml/qquickgraphssurface.cpp qml/qquickgraphssurface_p.h
            qml/qquickgraphssurfaceseries.cpp qml/qquickgraphssurfaceseries_p.h
        INCLUDE_DIRECTORIES
            data
            engine
            qml
    )

    qt_internal_extend_target(Graphs CONDITION MACOS
        LIBRARIES
            Qt::GuiPrivate
        PUBLIC_LIBRARIES
            Qt::Gui
        PRIVATE_MODULE_INTERFACE
            Qt::GuiPrivate
    )
    add_subdirectory(qml/designer)
endif()
if(TARGET Qt::Widgets)
    add_subdirectory(widget)
endif()

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT ANDROID)
    if(QT_FEATURE_graphs_3d)
        add_subdirectory(cpptest)
    endif()
    if(QT_FEATURE_graphs_2d)
        add_subdirectory(cpp2dtest)
    endif()
endif()

if(TARGET Qt::Quick AND NOT boot2qt)
    if(QT_FEATURE_graphs_3d AND QT_FEATURE_graphs_3d_bars3d AND QT_FEATURE_graphs_3d_scatter3d AND QT_FEATURE_graphs_3d_surface3d)
        add_subdirectory(qmltest)
    endif()
    if(QT_FEATURE_graphs_2d)
        add_subdirectory(qml2dtest)
    endif()
endif()

=== tests/auto/cpp2dtest/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(qgaxis-abstract)
add_subdirectory(qgaxis-barcategory)
add_subdirectory(qgaxis-value)
if (QT_FEATURE_timezone)
    add_subdirectory(qgaxis-datetime)
endif()
add_subdirectory(qgbars)
add_subdirectory(qgbars-set)
add_subdirectory(qglines)
add_subdirectory(qgpieslice)
add_subdirectory(qgpieseries)
add_subdirectory(qgscatter)
add_subdirectory(qgxychart)
add_subdirectory(qgsplines)
add_subdirectory(qgarea)
add_subdirectory(qgbarmodelmapper)
add_subdirectory(qgpiemodelmapper)
add_subdirectory(qgxymodelmapper)

=== tests/manual/minimalbars/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_minimalbars LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_manual_test(tst_minimalbars
    GUI
    SOURCES
        ../../../src/graphs3d/widget/doc/snippets/doc_src_q3dbars_construction.cpp
    )
target_link_libraries(tst_minimalbars PUBLIC
    Qt::Gui
    Qt::Graphs
    Qt::GraphsWidgets
    )

=== tests/manual/minimalscatter/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_minimalscatter LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_manual_test(tst_minimalscatter
    GUI
    SOURCES
        ../../../src/graphs3d/widget/doc/snippets/doc_src_q3dscatter_construction.cpp
    )
target_link_libraries(tst_minimalscatter PUBLIC
    Qt::Gui
    Qt::Graphs
    Qt::GraphsWidgets
    )

=== tests/manual/qmlmultitest/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_qmlmultitest LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_manual_test(tst_qmlmultitest
    GUI
    SOURCES
        main.cpp
    )
target_link_libraries(tst_qmlmultitest PUBLIC
    Qt::Gui
    Qt::Graphs
    )

set(qmlmultitest_resource_files
    "qml/qmlmultitest/Data.qml"
    "qml/qmlmultitest/main.qml"
    )

qt_internal_add_resource(tst_qmlmultitest "qmlmultitest"
    PREFIX
    "/"
    FILES
    ${qmlmultitest_resource_files}
    )

=== tests/manual/qmlqtquick3dintegration/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_qmlqtquick3dintegration LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_qmlqtquick3dintegration
    GUI
    SOURCES
        videodata.cpp videodata.h
        main.cpp
)

find_package(Qt6 REQUIRED COMPONENTS Multimedia MultimediaWidgets)

target_link_libraries(tst_qmlqtquick3dintegration PUBLIC
    Qt::Gui
    Qt::Graphs
    Qt::Multimedia
    Qt::MultimediaWidgets
)

set(qmlqtquick3dintegration_resource_files
    "qml/qmlqtquick3dintegration/main.qml"
    "qml/qmlqtquick3dintegration/Axes.qml"
    "qml/qmlqtquick3dintegration/Data.qml"
    "video/video.mp4"
)

qt_internal_add_resource(tst_qmlqtquick3dintegration "qmlqtquick3dintegration"
    PREFIX
    "/"
    FILES
    ${qmlqtquick3dintegration_resource_files}
)

# Install video.mp4 so that it can be loaded from file system
install(FILES video/video.mp4
    DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/video
)

=== tests/manual/qmltheme/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_qmltheme LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_qmltheme
    GUI
    SOURCES
        main.cpp
    )

target_link_libraries(tst_qmltheme PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::Graphs
)

set(qmltheme_resource_files
    "qml/qmltheme/main.qml"
    "qml/qmltheme/GraphModifiers.qml"
    "qml/qmltheme/BackgroundModifiers.qml"
    "layer_1.png"
)

qt6_add_resources(tst_qmltheme "qmltheme"
    PREFIX
        "/"
    FILES
        ${qmltheme_resource_files}
)

=== tests/manual/volumetrictest/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_volumetrictest LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_volumetrictest
    GUI
    SOURCES
        main.cpp
        volumetrictest.cpp volumetrictest.h
    )

target_link_libraries(tst_volumetrictest PUBLIC
    Qt::Gui
    Qt::Widgets
    Qt::Graphs
    Qt::GraphsWidgets
    )

set_source_files_properties("cubeFilledFlat.mesh"
    PROPERTIES QT_RESOURCE_ALIAS "mesh"
    )
set(volumetrictest_resource_files
    "cubeFilledFlat.mesh"
    "logo.png"
    "logo_no_padding.png"
    )

qt_internal_add_resource(tst_volumetrictest "volumetrictest"
    PREFIX
    "/"
    FILES
    ${volumetrictest_resource_files}
    )

=== debian/changelog ===
qt6-graphs (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 30 Mar 2025 18:49:09 -0500

=== debian/control ===
Source: qt6-graphs
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               libcups2-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.8.3+dfsg~),
               qt6-base-private-dev (>= 6.8.3+dfsg~),
               qt6-declarative-dev (>= 6.8.3+dfsg~),
               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
               qt6-quick3d-dev (>= 6.8.3~),
               qt6-quick3d-private-dev (>= 6.8.3~),
Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs.git
Rules-Requires-Root: no

Package: libqt6graphs6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Graphs library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs library.

Package: libqt6graphswidgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Graphs Widgetslibrary
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs Widgets library.

Package: qml6-module-qtgraphs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Graphs QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs QML module.

Package: qt6-graphs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6graphs6 (= ${binary:Version}),
         libqt6graphswidgets6 (= ${binary:Version}),
         qml6-module-qtgraphs (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Graphs - development
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using the Qt Graphs library.

Package: qt6-graphs-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 Graphs documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Graphs.

Package: qt6-graphs-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 Graphs HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Graphs.

Package: qt6-graphs-examples
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Graphs examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs examples.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-graphs 6.9.1

=== tests/manual/rotations/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_rotations LANGUAGES C CXX)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_rotations
    GUI
    SOURCES
        main.cpp
        scatterdatamodifier.cpp scatterdatamodifier.h
    )

target_link_libraries(tst_rotations PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
    Qt::Graphs
    Qt::GraphsWidgets
)

set(rotations_resource_files
    "mesh/largesphere.mesh"
    "mesh/narrowarrow.mesh"
)

qt6_add_resources(tst_rotations "rotations"
    PREFIX
        "/"
    FILES
        ${rotations_resource_files}
)

=== debian/changelog ===
qt6-graphs (6.9.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 28 Aug 2025 17:50:16 +0200

qt6-graphs (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Install missing cmake-files.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 12:37:12 +0200

qt6-graphs (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Aug 2025 13:15:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: qt6-graphs
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.24~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               ccache [linux-any],
+               cmake (>= 3.24~),
                libcups2-dev,
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
-               qt6-quick3d-dev (>= 6.8.3~),
-               qt6-quick3d-private-dev (>= 6.8.3~),
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
+               qt6-quick3d-dev (>= 6.9.1~),
+               qt6-quick3d-private-dev (>= 6.9.1~),
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
+	dh $@ --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
